ltk-0.12.1.0: Leksah tool kit

Safe Haskell | None

Graphics.UI.Editor.Parameters

Description

Module for parameters for editors

Synopsis

- type Parameters = [Parameter]
- data Parameter
  - = ParaName String
  - | ParaSynopsis String
  - | ParaDirection Direction
  - | ParaShadow ShadowType
  - | ParaShowLabel Bool
  - | ParaOuterAlignment (Float, Float, Float, Float)
  - | ParaOuterPadding (Int, Int, Int, Int)
  - | ParaInnerAlignment (Float, Float, Float, Float)
  - | ParaInnerPadding (Int, Int, Int, Int)
  - | ParaMinSize (Int, Int)
  - | ParaHorizontal HorizontalAlign
  - | ParaStockId String
  - | ParaMultiSel Bool
  - | ParaPack Packing
- paraName :: Parameter -> Maybe String
- paraSynopsis :: Parameter -> Maybe String
- paraDirection :: Parameter -> Maybe Direction
- paraShowLabel :: Parameter -> Maybe Bool
- paraShadow :: Parameter -> Maybe ShadowType
- paraOuterAlignment :: Parameter -> Maybe (Float, Float, Float, Float)
- paraInnerAlignment :: Parameter -> Maybe (Float, Float, Float, Float)
- paraOuterPadding :: Parameter -> Maybe (Int, Int, Int, Int)
- paraInnerPadding :: Parameter -> Maybe (Int, Int, Int, Int)
- paraMinSize :: Parameter -> Maybe (Int, Int)
- paraHorizontal :: Parameter -> Maybe HorizontalAlign
- paraStockId :: Parameter -> Maybe String
- paraMultiSel :: Parameter -> Maybe Bool
- paraPack :: Parameter -> Maybe Packing
- getParameter :: (Parameter -> Maybe beta) -> Parameters -> beta
- getParameterPrim :: (Parameter -> Maybe beta) -> Parameters -> Maybe beta
- (<<<-) :: (Parameter -> Maybe beta) -> Parameter -> Parameters -> Parameters
- emptyParams :: [Parameter]
- data Direction
  - = Horizontal
  - | Vertical
- data HorizontalAlign
  - = StartHorizontal
  - | StopHorizontal
  - | Keep

# Documentation

type Parameters = [Parameter]Source

A type for parameters for editors

data Parameter Source

Constructors

ParaName String |
ParaSynopsis String |
ParaDirection Direction |
ParaShadow ShadowType |
ParaShowLabel Bool |
ParaOuterAlignment (Float, Float, Float, Float) |
ParaOuterPadding (Int, Int, Int, Int) | xalign yalign xscale yscale
ParaInnerAlignment (Float, Float, Float, Float) |
ParaInnerPadding (Int, Int, Int, Int) | xalign yalign xscale yscale
ParaMinSize (Int, Int) |
ParaHorizontal HorizontalAlign |
ParaStockId String |
ParaMultiSel Bool |
ParaPack Packing |

Instances

Eq Parameter |
Show Parameter |

paraName :: Parameter -> Maybe String Source

paraSynopsis :: Parameter -> Maybe String Source

paraDirection :: Parameter -> Maybe Direction Source

paraShowLabel :: Parameter -> Maybe Bool Source

paraShadow :: Parameter -> Maybe ShadowType Source

paraOuterAlignment :: Parameter -> Maybe (Float, Float, Float, Float)Source

paraInnerAlignment :: Parameter -> Maybe (Float, Float, Float, Float)Source

paraOuterPadding :: Parameter -> Maybe (Int, Int, Int, Int)Source

paraInnerPadding :: Parameter -> Maybe (Int, Int, Int, Int)Source

paraMinSize :: Parameter -> Maybe (Int, Int)Source

paraHorizontal :: Parameter -> Maybe HorizontalAlign Source

paraStockId :: Parameter -> Maybe String Source

paraMultiSel :: Parameter -> Maybe Bool Source

paraPack :: Parameter -> Maybe Packing Source

getParameter :: (Parameter -> Maybe beta) -> Parameters -> betaSource

Convenience method to get a parameter, or if not set the default parameter

getParameterPrim :: (Parameter -> Maybe beta) -> Parameters -> Maybe betaSource

(<<<-) :: (Parameter -> Maybe beta) -> Parameter -> Parameters -> Parameters Source

emptyParams :: [Parameter]Source

data Direction Source

The direction of a split

Constructors

Horizontal |
Vertical |

Instances

Eq Direction |
Show Direction |

data HorizontalAlign Source

Constructors

StartHorizontal |
StopHorizontal |
Keep |

Instances

Eq HorizontalAlign |
Show HorizontalAlign |